<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/penetapan/perdata_tun/".$filename.".rtf");

$Template = file_get_contents($url);

$namasatker = '';
$alamatsatker = '';

foreach ($datapengadilan->result() as $row) {
    $namasatker = $this->templatehelper->standradnaming($row->NamaPN);
    $alamatsatker = $row->AlamatPN;
    $namaketua=$this->templatehelper->standradnaming($row->KetuaPNNama);
    $pansek=$this->templatehelper->standradnaming($row->PansekPNNama);
    $wapan=$this->templatehelper->standradnaming($row->WaPanNama);
    $namakota = str_replace("Pengadilan Tata Usaha Negara ",'',$namasatker);
}

if(empty($namasatker)){
    $namasatker = '........';
}

if(empty($alamatsatker)){
    $alamatsatker = '........';
}

if(empty($namakota)){
    $namakota = '........';
}

foreach ($dataperkara->result() as $row) {
    $nomorperkara = $row->nomor_perkara;
}

$tmp = explode('/', $nomorperkara);
$nomorperkara = $tmp[0].'/PLW/'.$tmp[2].'/'.$tmp[3];
$nomor_penetapan = $tmp[0].'/PEN-MH/PLW/'.$tmp[2].'/'.$tmp[3];
$hakimketua = '';

if($datapenetapansidang->num_rows>0){
    foreach ($datapenetapansidang->result() as $row) {
        $hakimketua = $row->hakim_nama;
        $tanggalpenetapanhakim = $row->tanggal_penetapan;
        $tanggalpenetapansidang = $row->tanggal_penetapan_sidang_verzet;
        $agenda = $row->agenda;
        $jam = $row->jam_sidang;
        $tanggal_sidang = $row->tanggal_sidang;
        $tanggal_surat = $row->tanggal_pendaftaran_verzet;
    }
}

if(empty($hakimketua)){
    $hakimketua = '........';
}

if(empty($tanggalpenetapanhakim)){
    $tanggalpenetapanhakim = '........';
}else{
    $tanggalpenetapanhakim = $this->templatehelper->convertKeTglIndo($tanggalpenetapanhakim);
}

if(empty($tanggalpenetapansidang)){
    $tanggalpenetapansidang = '........';
}else{
    $tanggalpenetapansidang = $this->templatehelper->convertKeTglIndo($tanggalpenetapansidang);
}

if(empty($agenda)){
    $agenda = '............';
}

if(empty($jam)){
    $jam = '............';
}

if(empty($tanggal_sidang)){
    $tanggal_sidang = '........';
    $hari = '..........';
}else{
    $tanggal_sidang = $this->templatehelper->convertKeTglIndo($tanggal_sidang);
    $hari = $this->templatehelper->getHari($tanggal_sidang);
}

if(empty($tanggal_surat)){
    $tanggal_surat = '........';
}else{
    $tanggal_surat = $this->templatehelper->convertKeTglIndo($tanggal_surat);
}

$Template = str_replace("#hakim_ketua#",$hakimketua,$Template);
$Template = str_replace("#namapengadilan#",$namasatker,$Template);
$Template = str_replace('#nama_kota#',$namakota,$Template);
$Template = str_replace('#alamat_satker#',$alamatsatker,$Template);

$Template = str_replace('#tglpenetapanmajelishakim#',$tanggalpenetapanhakim,$Template);
$Template = str_replace('#nomorperkara#',$nomorperkara,$Template);
$Template = str_replace('#nomor_penetapan_hakim#',$nomor_penetapan,$Template);
$Template = str_replace('#tgl_penetapan_sidang#',$tanggalpenetapansidang,$Template);
$Template = str_replace('#tanggal_surat#',$tanggal_surat,$Template);

$Template = str_replace('#jam_sidang#',$jam,$Template);
$Template = str_replace('#hari_sidang#',$hari,$Template);
$Template = str_replace('#agenda_sidang#',$agenda,$Template);
$Template = str_replace('#tanggal_sidang#',$tanggal_sidang,$Template);


header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;
?> 